function [val,iter]= punto_fisso(fun,x0,toll);
%punto_fisso(fun,x0,toll) calcola il limite dell'iterazione di punto fisso
%val: limite calcolato
%iter: numero di iterazioni
%fun: funzione
%x0: dato iniziale
%toll: condizione di terminazione

MAXITER=1000;%numero massimo di iterazioni

iter=0;
while (norm(x0-feval(fun,x0))>toll)&&(iter<MAXITER)
    iter=iter+1;
    x1=feval(fun,x0);
    x0=x1;
end
if iter==MAXITER
error('Mancata convergenza');
end
val=x0;

